/*
 * TimeUtil.java 
 *
 * Copyright (c) Verax Systems.
 * All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.veraxsystems.icmp.util;

/**
 * Utilities to calculate time with 1 millisecond precision.
 */
public class TimeUtil 
{
   
   /**
    * Get time in milliseconds. Internally. more precise method is used (it is system dependent
    * but since Windows XP SP2 it should behave properly on microseconds level).
    * Value does not represent any real time but can be used to calculate time periods.
    * Returned value is rounded to nearest milliseconds value.
    * @return current time value
    */
   static public long currentTimeMillis()
   {
      long currentTimeNano = System.nanoTime();
      long result = (currentTimeNano + 500000) / 1000000;
      return result;
   }
   
}
